Global FDI Monitor
API DOCUMENTATION

Global FDI Monitor REST API

Base URL: https://api.fdimonitor.org · WebSocket: wss://api.fdimonitor.org/ws/signals

Auth: Bearer token in Authorization header
Rate Limits: Professional: 1,000/day · Enterprise: Unlimited
Format: JSON · UTF-8 · gzip
Version: v1 (stable)
AUTHENTICATION
Authorization: Bearer gfm_pro_YOUR_TOKEN_HERE
Content-Type: application/json
GET/api/v1/countriesList all countries with SCI scores+
Parameters
regionstringFilter by region
tierstringTOP | HIGH
searchstringCountry name search
Example Response
{
  "success": true,
  "count": 15,
  "data": [
    {
      "id": "SGP",
      "name": "Singapore",
      "sci": 88.4,
      "tier": "TOP",
      "trend": 0.2
    }
  ]
}
CURL EXAMPLE
curl -H "Authorization: Bearer YOUR_TOKEN" https://api.fdimonitor.org/api/v1/countries
GET/api/v1/countries/:idGet single Country by ISO3 code+
GET/api/v1/signalsGet latest investment signals+
POST/api/v1/reports/generateGenerate investment report+
POST/api/v1/auth/registerRegister for access+
POST/api/v1/auth/loginAuthenticate and get token+
GET/api/v1/agents/healthAI agent pipeline status+
WS/ws/signalsWebSocket stream of live signals+